%define	name	gnome-sharp2
%define oname gnome-sharp
%define version 2.24.0
%define release %mkrel 1
%define mono 1.0.2
%define gtk_sharp 2.12.1
%define monodir %_prefix/lib/mono

Summary:	C# language binding for GNOME
Name:		%name
Version:	%version
Release:	%release
License:	LGPLv2
Group:		System/Libraries
URL:		http://gtk-sharp.sourceforge.net/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-sharp/%oname-%version.tar.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	mono-devel >= %mono
BuildRequires:	libglade2.0-devel
BuildRequires:	libxslt-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnomeprintui-devel
BuildRequires:	libGConf2-devel
BuildRequires:	gnome-panel-devel
BuildRequires:	gtk-sharp2-devel >= %{gtk_sharp}
BuildRequires:	gtk-sharp2 >= %{gtk_sharp}
BuildRequires:	glade-sharp2 >= %{gtk_sharp}

%description
This is a C# language binding for GNOME.

%package devel
Summary: C# language binding for GNOME - devel files
Group: Development/Other
Requires: %name = %version
Requires: gtk-sharp2-devel

%description devel
This is a C# language binding for GNOME. It contains all files that are needed
to build against %{name}.

%prep
rm -rf %buildroot

%setup -q -n %oname-%version

%build
%configure2_5x
make

%install
rm -rf %buildroot
%makeinstall

rm -rf %buildroot%_libdir/lib*a

%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
%doc README
%monodir/gac/*art-sharp
%monodir/gtk-sharp-2.0/*art-sharp.dll*
%monodir/gac/*gconf-sharp
%monodir/gac/*gconf-sharp-peditors
%monodir/gac/*gnome-sharp
%monodir/gac/*gnome-vfs-sharp
%monodir/gtk-sharp-2.0/*gconf-sharp.dll*
%monodir/gtk-sharp-2.0/*gconf-sharp-peditors.dll*
%monodir/gtk-sharp-2.0/*gnome-sharp.dll*
%monodir/gtk-sharp-2.0/*gnome-vfs-sharp.dll*
%_libdir/libgnomesharpglue-2.so


%files devel
%defattr(-,root,root)
%doc ChangeLog
%doc sample
%_bindir/gconfsharp2-schemagen
%_prefix/lib/gtk-sharp-2.0/gconfsharp-schemagen.exe
%_datadir/gapi-2.0/*.xml
%_libdir/pkgconfig/art-sharp-2.0.pc
%_libdir/pkgconfig/gconf-sharp-2.0.pc
%_libdir/pkgconfig/gconf-sharp-peditors-2.0.pc
%_libdir/pkgconfig/gnome-vfs-sharp-2.0.pc
%_libdir/pkgconfig/gnome-sharp-2.0.pc


%changelog
* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 282694
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273544
- new version
- update license

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.20.1-2mdv2009.0
+ Revision: 264558
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 23 2008 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2009.0
+ Revision: 196735
- new version
- bump deps

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 2.20.0-5mdv2009.0
+ Revision: 193608
- fix devel deps

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 2.20.0-4mdv2009.0
+ Revision: 192404
- split out devel package

* Tue Mar 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.20.0-3mdv2008.1
+ Revision: 190014
- do not package big ChangeLog
- remove 300k of docs from livecd

* Wed Mar 05 2008 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.1
+ Revision: 179631
- new version
- bump deps

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.1
+ Revision: 159558
- new version
- drop patch

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.19.90-2mdv2008.1
+ Revision: 159333
- add back MasterClient symbol

* Fri Jan 25 2008 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.1
+ Revision: 157867
- new version
- drop patch
- bump deps
- remove libs that are now in gnome-desktop-sharp

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Adam Williamson <awilliamson@mandriva.com> 2.16.0-6mdv2008.1
+ Revision: 105671
- buildrequires gtk-sharp2-devel
- rebuild for 2008
- new license policy
- small spec clean


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.16.0-5mdv2007.1
+ Revision: 146583
- split out doc

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-4mdv2007.1
+ Revision: 143213
- update for gtkhtml 3.14

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-3mdv2007.1
+ Revision: 126123
- fix gtkhtml dep and major

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.1
+ Revision: 122687
- fix buildrequires
- Import gnome-sharp2

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.1
- Rebuild

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- bump deps
- drop the patch
- fix source URL
- New release 2.16.0

* Sat Aug 12 2006 Emmanuel Andry <eandry@mandriva.org> 2.15.0-2mdv2007.0
- statically set /usr/lib to fix packaging on x86_64

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.0-1mdv2007.0
- initial package

